﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TabOutRowAddNewRow
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.KeyDown += UltraGrid1_KeyDown;
        }

        private void UltraGrid1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Tab) 
            {
                var cell = this.ultraGrid1.ActiveCell;
                if (cell != null && cell.Row.Index == this.ultraGrid1.Rows.Count - 1 && cell.Column.Header.VisiblePosition == 2) 
                {
                    var row = this.ultraGrid1.DisplayLayout.Bands[0].AddNew();
                    row.Cells["ID"].Value = this.ultraGrid1.Rows.Count - 1;
                    row.Cells["Age"].Value = 20 + this.ultraGrid1.Rows.Count - 1;
                   
                }
            }
        }
    }
}
